########  Example:  whatif using Doyle and Sambanis data set  ########

#Load sample observed covariate data
data(f)

#Load sample counterfactual data
data(cf)

#Run whatif using default options
my.result <- whatif(f, cf)

#Look at results of convex hull test
my.result$in.hull

#Look at Gower's distance between first counterfactual and each of the 122 data points
my.result$gowers.dist[1, ]

#Look at geometric variance of covariates
my.result$geom.var

#Look at proportion of data points nearby all 122 counterfactuals
my.result$sum.stat

#Run whatif supplying own value for parameter 'nearby'
my.result <- whatif(f, cf, nearby = 0.100)

#Calculate mean proportion of data points nearby all 122 counterfactuals
mean(my.result$sum.stat)

#Look at default cumulative frequency distribution for first counterfactual
#and data points
my.result$cum.freq[1, ]

#Plot cumulative frequency distribution for first counterfactual, both
#raw and LOWESS smoothed
plot(my.result, numcf = 1, type = "b")

#Print summary on screen
summary(my.result)

#Identify control units not on support of treatment units
my.result.cntrl <- whatif(data = f[f$untype4 == 1, -8], cfact = 
na.omit(f[f$untype4 == 0, -8]))

#Print convex hull test results on screen
my.result.cntrl$in.hull

#Identify units on common support of both treatment and control groups
my.result.comb <- whatif(data = f, cfact = na.omit(cbind(f[, 1:7], 
1-f[, 8], f[, 9:11])))

#Print convex hull test results on screen
my.result.comb$in.hull

