\name{print.summary.whatif}
\alias{print.summary.whatif}
\title{Print "summary.whatif" Object}
\description{
Prints the information generated from the \code{whatif} output object 
by a call to \code{summary}, an object of class "summary.whatif".  
}
\usage{
\method{print}{summary.whatif}(object, ...)
}
\arguments{
  \item{object}{An object of class "summary.whatif", produced by a call to
    the function \code{summary.whatif}.}
}
\value{
A printout to the screen of the information contained in the 
\code{summary} output object from \code{whatif}.
}
\references{King, Gary and Langche Zeng.  2006a.  "The Dangers of 
  Extreme Counterfactuals."  \emph{Political Analysis,} forthcoming.
  Preprint available from \url{http://gking.harvard.edu}.

  King, Gary and Langche Zeng.  2006b.  "When Can History Be Our Guide?
  The Pitfalls of Counterfactual Inference."  \emph{International Studies Quarterly,}
  forthcoming.  Preprint available from \url{http://gking.harvard.edu}.}
\author{Stoll, Heather \email{hstoll@polsci.ucsb.edu}, King, Gary
  \email{king@harvard.edu} and Zeng, Langche \email{zeng@ucsd.edu}}
\seealso{
  \code{\link{whatif}},
  \code{\link{plot.whatif}},
  \code{\link{summary.whatif}},
  \code{\link{print.whatif}}
}
\examples{
##  Create example data sets and counterfactuals
my.cfact <- matrix(rnorm(3*5), ncol = 5)
my.data <- matrix(rnorm(100*5), ncol = 5)

##  Evaluate counterfactuals
my.result <- whatif(data = my.data, cfact = my.cfact)

##  Print summary output object
my.result.sum <- summary(my.result)
print(my.result.sum)
}
\keyword{print}
